# Create GitLab React Repo

#### Instalation 
`$ sudo npm install create-gitlab-react-repo`

#### Description
Creates a GitLab React repository automatically. In other words, it creates a cra(create-react-redux) template and pushes it automatically to a remote repository on gitlab.

#### Manual - How to use it
`$ create-gitlab-react-repo <user_name> <package_name_01> <package_name_02> ... <package_name_n>`

or if you do not mind verboseness:

`$ create-gitlab-react-repository <user_name> <package_name_01> <package_name_02> ... <package_name_n>`

- it creates a blank and private remote repository on your gitlab account if both arguments were typed correctly;

- first parameter: obrigatory = your gitlab account name as it is used on your repository url;

- second parameter: obrigatory = you repository name should follow the cra standards. Shall contain lower case letter alone and avoid spaces, instead you shall please use hifens(-).

- third and subsequent parameters are optional and represent the name of the packages you would like to have installed on your project.

#### Usage example after successfull intalation
`$ create-gitlab-react-repo Pietroski my-gitlab-repository redux react-redux redux-thunk react-router-dom styled-components`

#### Packages that if, and only if intalled will receive a folder and pre-code structure
- redux;
- react-redux;
- redux-thunk;
- react-router-dom.

## FAQs
##### A package was not found during installation. What does it happen, then?
- A message will appear to the user stating that the current package was not found. It will be asked whether the user would like to try installing that package again. If the user inputs (y|yes) then it will be asked again to retype the package name. If the searching error persists, and the user enters yes for retrying every time it fails, then he/she would have to constantly retype the package name until it is correct and npm finally finds it and install via npm or yarn(depending on what the user has a package manager; the preference is always yarn whether it is installed). The prompt fail message and question will be terminated only after the user gives up and enters (n|no) on the console. After that it will proceed to the next queued package.

# About me
I am a Software Engineer Student who loves coding.

My interests are work and learn about automation, mobile technology, java, more about web development, residential automation, physics, mathematics, biology, error theory, and other stuff on my free time. 

Currently learning Russian aside programming languages.

Technologies I know, use and perfect: HTML, CSS, JavaScript, React, Redux, TypeScript, Bash and Shell script, git, Processing.

Target Programming Languages: Java, Python and frameworks such as Django and Flesk, NodeJs and eventually NextJs.

# More about me
For more information and follow up please, consider visiting my [LinkedIn profile](https://www.linkedin.com/in/augusto-pietroski/)

Also, my [Simple Pendulum](https://play.google.com/store/apps/details?id=com.pietroski.simple_pendulum&hl=en) Application Simulation which is still under development on my free time.

Please, any doubt, information and/or feedback consider contacting me at AugustoPTSantos@gmail.com

Kind Regards.